mysqli_result::fetch_row
mysqli_result::field_seek
mysqli_result
PHP Manual

# mysqli_result::$field_count

# mysqli_num_fields

(PHP 5)

mysqli_result::$field_count -- mysqli_num_fields — Get the number of fields in a result

### Description

Object oriented style

int $mysqli_result->field_count;

Procedural style

int mysqli_num_fields ( mysqli_result `$result` )

Returns the number of fields from specified result set.

### Parameters

`result`

  Procedural style only: A result set identifier returned by mysqli_query(), mysqli_store_result() or mysqli_use_result().

### Return Values

The number of fields from a result set.

### Examples

Example #1 Object oriented style

`<?php
$mysqli = new mysqli("localhost", "my_user", "my_password", "world");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
if ($result = $mysqli->query("SELECT * FROM City ORDER BY ID LIMIT 1")) {
/* determine number of fields in result set */
$field_cnt = $result->field_count;
printf("Result set has %d fields.\n", $field_cnt);
/* close result set */
$result->close();
}
/* close connection */
$mysqli->close();
?>`

Example #2 Procedural style

`<?php
$link = mysqli_connect("localhost", "my_user", "my_password", "world");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
if ($result = mysqli_query($link, "SELECT * FROM City ORDER BY ID LIMIT 1")) {
/* determine number of fields in result set */
$field_cnt = mysqli_num_fields($result);
printf("Result set has %d fields.\n", $field_cnt);
/* close result set */
mysqli_free_result($result);
}
/* close connection */
mysqli_close($link);
?>`

The above examples will output:

    Result set has 5 fields.

### See Also

- mysqli_fetch_field() - Returns the next field in the result set

mysqli_result::fetch_row
mysqli_result::field_seek
mysqli_result
PHP Manual